## linuxmuster-sphinx-emacs 0.0.2-1

=== Makefile ===
#!/usr/bin/make
# Zur Erstellung des Debian-Pakets notwendig (make DESTDIR=/root/sophomorix)
# Created by Rüdiger Beck (jeffbeck-at-web.de)
DESTDIR=


BIN=$(DESTDIR)/usr/bin
EMACS=$(DESTDIR)/etc/emacs/site-start.d

help:
	@echo ' '
	@echo 'Most common options of this Makefile:'
	@echo '-------------------------------------'
	@echo ' '
	@echo '   make help'
	@echo '      show this help'
	@echo ' '
	@echo '   make install'
	@echo '      install all stuff'
	@echo ' '
	@echo '   make deb'
	@echo '      create a debian package'
	@echo ' '


install:
	@echo '   * Installing lisp file'
	@install -d -m755 -oroot -groot $(EMACS)
	@install -oroot -groot --mode=0664 emacs/55linuxmuster-sphinx.el  $(EMACS)
	@echo '   * Installing compile script'
	@install -d -m755 -oroot -groot $(BIN)
	@install -oroot -groot --mode=0775 scripts/linuxmuster-sphinx-emacscompile $(BIN)

# build a package
deb:
	### deb
	@echo 'Did you do a dch -i ?'
	#@sleep 8
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version in git'
	@echo ''


clean:
	# delete stuff after building package

=== debian/changelog ===
linuxmuster-sphinx-emacs (0.0.2-1) trusty; urgency=medium

  * added support for pdf

 -- bz <bz@overpower>  Sat, 28 Nov 2015 17:12:36 +0100

linuxmuster-sphinx-emacs (0.0.1-1) trusty; urgency=medium

  * Initial Release

 -- jeffbeck <bz@overpower>  Sat, 28 Nov 2015 16:30:12 +0200

=== debian/control ===
Source: linuxmuster-sphinx-emacs
Section: admin
Priority: optional
Maintainer: Ruediger Beck <jeffbeck@web.de>
Build-Depends: debhelper , perl-base, fakeroot
Standards-Version: 3.5.2



Package: linuxmuster-sphinx-emacs
Architecture: all
Suggests: 
Pre-Depends:
Depends: emacs
Description: Compile linuxmuster-net sphinx documentation
  Compile linuxmuster-net sphinx documentation

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# moved to debian/compat
# export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
#	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install package into 
        # debian/linuxmuster-sphinx-emacs
	$(MAKE) -B install DESTDIR=$(CURDIR)/debian/linuxmuster-sphinx-emacs

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installchangelogs
# install debian/copyright file in every package:
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
# Install manpages for linuxmuster-sphinx-emacs
#	dh_installman -psophomorix2 sophomorix2/man/de/sophomorix.de.8
#	dh_undocumented
	dh_install --sourcedir=debian/linuxmuster-sphinx-emacs
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
